<!-- *** NAV BAR *** -->

<nav class="navbar navbar-expand-lg navbar-dark px-2" style="background-color: rgba(40,57,101,.9);">

<!-- *** Brand logo avec lien homePage *** -->
<div class="container-fluid">
  <a class="navbar-brand px-2" routerLink="home">
    <img src="../assets/Image_Bank/Home/logo.png"  alt="logo_lePetitBeezgneur" width="250">
  </a>
  
<!-- *** Hamburger *** -->
    <button
      class="navbar-toggler"
      type="button"
      data-bs-toggle="collapse"
      data-bs-target="#navbarNav"
      aria-controls="navbarNav"
      aria-expanded="false"
      aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    
<!-- *** Liens NavBar *** -->
    <div class="collapse navbar-collapse" id="navbarNav">
      <ul class="navbar-nav">
        <li class="nav-item" *ngIf="checkAuth()">
          <a class="nav-link" routerLink="user">Gestion Utilisateurs</a>
        </li>

        <li class="nav-item" *ngIf="checkAuth()">
          <a class="nav-link" routerLink="Paddle">Schedules Paddle</a>
        </li>
        
        <li class="nav-item" *ngIf="checkAuth()">
          <a class="nav-link" routerLink="terrains">Schedules Terrains</a>
        </li>
        
        <li class="nav-item">
          <a class="nav-link" routerLink="article">Articles</a>
        </li>
  
        <li class="nav-item" *ngIf="checkAuth()">
          <a class="nav-link" routerLink="commentaire">Commentaires</a>
        </li>
  
        <li class="nav-item" *ngIf="checkAuth()">
          <a class="nav-link" routerLink="reservation">Réservation</a>
        </li>
  
        <li class="nav-item" *ngIf="checkAuth()">
          <a class="nav-link" (click)="profile()">Profile</a>
        </li>
    </ul>
  </div>
</div>


<!-- Boutons Create account et Login -->
  <div class="d-grid gap-2 d-md-flex justify-content-md-end ">
    <ul class="navbar-nav ml-auto px-2">
      <li class="nav-item" *ngIf="!checkAuth()">
        <div class="btn-group">
          <a class="btn btn-primary" routerLink="create_user">Create account</a>
          <a class="btn btn-success" routerLink="auth">Login</a>
        </div>
      </li>  
      
      <li class="nav-item" *ngIf="checkAuth()">
        <a class="btn btn-danger" (click)="logout()">Logout</a>
      </li>
    </ul>
  </div>
<!-- //Boutons Create account et Login -->

</nav>

<router-outlet></router-outlet>




<!-- Footer -->

<nav class="navbar bottom navbar navbar-expand-lg navbar-light bg-light mt-5">
  <a class="navbar-brand" href="#"><img src="../assets/Image_Bank/Home/logo.png"  alt="logo_lePetitBeezgneur" width="250"></a>
  
  
  <div class="collapse navbar-collapse" id="navbarTogglerDemo02">
    <ul class="navbar-nav mr-auto mt-2 mt-lg-0">
      
      <li class="nav-item">
        <a class="nav-link" href="https://lepetitbeezgneur.be/news/">ARCHIVES</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="https://lepetitbeezgneur.be/a-propos-de/">A PROPOS</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="https://lepetitbeezgneur.be/contact/">CONTACT</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="https://lepetitbeezgneur.be/politique-cookie/">COOKIES</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" href="https://lepetitbeezgneur.be/politique-de-confidentialite/">CONFIDENTIALITE</a>
      </li>
    </ul>
    
  </div>
</nav>

<!-- //Footer -->


<!-- EXEMPLE DROPDOWN MENU -->
    <!-- <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
      <li *ngIf="checkAuth()"><a class="dropdown-item" href="user">Gestion Utilisateurs</a></li>
      <li><a class="dropdown-item" href="Paddle">Réservation Paddle</a></li>
      <li><a class="dropdown-item" href="terrain">Réservation Terrains</a></li>
      <div class="dropdown-divider"></div>
      <li><a class="dropdown-item" href="articles">Edition Articles</a></li>
      <li><a class="dropdown-item" href="commentaires">Edition Commentaires</a></li>
      <li><a class="dropdown-item" href="create_order">Effectuer une réservation</a></li>
    </ul> -->


    
<!-- navigation EVE -->
<!-- <nav class="navbar navbar-expand-lg shift navbar-light">
    <div class="container-fluid">
    <img src="./../assets/Wod_Notes_logo.png" class="logoHP" alt="Wod Notes logo">
    <a class="navbar-brand" href="#">Wod Notes</a>
    <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav" aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNav">
    <ul class="navbar-nav">
    <li class="nav-item">
    <a class="nav-link active" aria-current="page" href="#">Accueil</a>
    </li>
    <li class="nav-item">
    <a class="nav-link" href="benchmarks">Benchmarks</a>
    </li>
    <li class="nav-item">
    <a class="nav-link" href="#">PR's</a>
    </li>
    <li class="nav-item">
    <a class="nav-link" href="#">Convertisseur</a>
    </li>
    <li class="nav-item">
    <a class="nav-link" href="#">Charges</a>
    </li> 
    <li class="nav-item">
    <a class="nav-link" href="#">Mes WOD's</a>
    </li> 
    <li class="nav-item">
    <a class="nav-link" href="#">Connexion</a>
    </li> 
    <li class="nav-item">
    <a class="nav-link" href="/users">Users</a>
    </li> 
    </ul>
    </div>
    </div>
    </nav> -->
    <!-- navigation -->